<!-- # [Luthfi Satria Ramdhani](https://www.linkedin.com/in/luthfi-satria-48787627) -->
<div align="center">
    <h1>
        <a href="https://www.linkedin.com/in/luthfi-satria-48787627">
            Luthfi Satria Ramdhani
        </a> | Senior Backend 
    </h1>
</div>

<div align="center"><h4>Bukit Cilebut Residence Blok D no 6, Kabupaten Bogor, West Java, Indonesia</h4></div>
<div align="center">
    <b>Email</b>: Luthfi.uika@gmail.com | <b>phone</b>+62 856 9555 1507 | <a href="https://www.linkedin.com/in/luthfi-satria-48787627/" target="_blank">LinkedIn Profile</a> | <a href="https://github.com/luthfi-satria?tab=repositories">Github</a> | <a href="https://gitlab.com/users/luthfi.satria/projects">Gitlab</a>
</div>

<h2><a href="#about-me">About Me</a></h2>

> Senior backend developer with ten years work experience in the web development for national and
multinational company in various fields and industries, governments, Food and Beverages, e-commerce, and start up. Equipped with a diverse and promising skill-set, proficient in various platform, language, framework, and RDBMS or No-SQL databases. Able to effectively self-manage during independent projects, as well as collaborate as part of productive team

<h2><a href="#education">Education</a></h2>
<div>Bachelor Degree of Software Engineering, Ibn Khaldun University</div>
<div align="right"><i>Bogor, 2007 - 2013</i></div>

<h2><a href="#skill">Skill</a></h2>

<ul>
    <li><b>Programming</b> : PHP, Codeigniter, Laravel, CakePHP, Javascript, HTML, CSS, NestJs, Jquery, JSON, Typescript, Object Oriented Programming, AJAX
    <li><b>Database</b> : MySQL, PostgreSQL, MongoDB</li>
    <li><b>Message Broker</b> : Nats, RabbitMQ</li>
    <li><b>Cache</b> : redis, files, memory cache</li>
    <li><b>Deployment</b>: Docker, Kubernetes, NGINX, Apache, Github, Gitlab, Bitbucket</li>
    <li><b>Server</b> : AWS, GCP</li>
    <li><b>Operating System</b> : Windows, Linux, Unix</li>
    <li><b>Development</b> : Monolith, Microservice, REST API, Geo Location</li>
    <li><b>Documentation</b> : Google Docs, Google spreadsheet, JIRA, JIRA confluence, Trello</li>
    <li><b>Communication</b> : Whatsapp, Slack, Discord, Google Meet, Zoom</li>
</ul>

<h2><a href="#work-experiences">Work Experiences</a></h2>

<!-- eDOT -->
### Senior Backend Developer
<div align="left"><b>Elektronik Distribusi Otomisasi Terkemuka (eDOT) - Bandung Indonesia</b></div>
<div align="right"><i>June 2022 - Present</i></div>

> Build Rest API, lead developer team, working closely with project manager and technical manager, recruitment process, collaborate with internal nabati team in software developing, programmers, deployment code, bug and fixing issue.

<!-- Tabsquare -->
### Lead Developer
<div align="left"><b>Tabsquare Pte Ltd - Singapore</b></div>
<div align="right"><i>January 2020 - May 2022</i></div>

> Optimize application performance, build new features, working closely with product managers, manage team task, collaborate with internal team, proactive in deployment phase, debug and fixing issue, build rest API for integration client apps, and review code.

<!-- Terralogiq -->
### Senior Backend Developer
<div align="left"><b>PT. Terralogiq Integrasi - Jakarta Indonesia</b></div>
<div align="right"><i>July 2019 - January 10, 2020</i></div>

> Optimize application performance, build company projects, build code library for reusable, fixing bug and issue, build rest API, provide end user training, mentoring junior programmer, Established milestone for projects, and manage developer team

<!-- Lynkanna -->
### Senior Backend Developer
<div align="left"><b>PT. Lynkanna Jaya Utama - Jakarta Indonesia</b></div>
<div align="right"><i>February 2017 - April, 2019</i></div>

> Optimize application performance, build company projects, build code library for reusable, build rest API, provide end user training, mentoring junior programmer, Established milestone for projects, manage developer team, and designing system by user requirements

<!-- Apecsa -->
### Web Developer
<div align="left"><b>PT. Apecsa Optima Solusi - Jakarta Indonesia</b></div>
<div align="right"><i>June 2015 - February, 2017</i></div>

> Established milestone for projects, build rest API, build Content Management Systems, create website user interface, design and developing software applications


<!-- Fibernet -->
### Junior Web Developer
<div align="left"><b>Fibernet Optic Solusi - Jakarta Indonesia</b></div>
<div align="right"><i>March 2012 - November 2014</i></div>

> Develop application on intra networks servers, coordinate with senior programmer to evaluate and improve internal website, bug fixing and resolved issue

<h2><a href="#achievements">Achievements</a></h2>

### Extra Miles Awards
<div align="left"><b>Tabsquare Pte Ltd</b></div>
<div align="right"><i>March 2021</i></div>

> Minimize CMS issue, support operational team in local restaurant installation, reduce latency 40%, increase database query performance below 100ms, increase speed of duplication menu in many restaurant

### Best Team Awards
<div align="left"><b>Tabsquare Pte Ltd</b></div>
<div align="right"><i>September 2021</i></div>

> Launch eCMS version, help smartweb team to launch their new version of smartweb, successfully deliver redcat integration, reduce redundant order data, minimize integration issue

<h2><a href="#languages">Languages</a></h2>

1. <b>Indonesia</b> - Fluently
2. <b>English</b> - Fair

<h2><a href="#soft-skills">Soft Skills</a></h2>

1. <b>Leadership</b> - good
2. <b>Problem Solving</b> - good
3. <b>Responsibility</b> - good
4. <b>Adaptation</b> - Excellent
5. <b>Initiative</b> - good
6. <b>Team Work</b> - Excellent


<h2><a href="#projects">Projects</a></h2>

1. <b>eDOT</b>: POS system, eLOG integration, Promotion discounts eFOOD, Food vouchers eFOOD,
2. <b>Tabsquare</b>: Redcat integration, Food panda integration, Menu and Image Synchronizing, Local restaurant integration, CMS, eCMS
3. <b>Terralogiq</b>:  BRIJAR (BRI Networks), BRI location map, JNE map tracking
4. <b>Lynkanna</b>: Vave commerce, multi level marketing, vave vouchers, system navigation (Indonesian government), SIKDA (public health system)
5. <b>Apecsa</b>: multi level marketing, Tukangsayur.co, Cashindo loan system, NGO databases
6. <b>Fibernet</b>: Inventory system, CRM system, reporting system
